/////////////////////////////////////////////////////////////
// Gestion de la configuration des règles métiers.
/////////////////////////////////////////////////////////////
'use strict';
define(function() {
  var gcelement = function($filter) {
    return {
      templateUrl:
        'js/XG/modules/model/views/directives/featuretypeactionsHtml.html',
      restrict: 'E',
      scope: {
        currentFormData: '=currentformdata',
        fti: '=fti',
        allActionsNames: '=allactionsnames',
      },
      link: function(scope, element, attrs, ctrl) {
        scope.currentFormData.actionType = $filter('translate')(
          'model.featuretypes.actions.html'
        );
        scope.currentFormData.typeInfo = 'HTML';
      },
    };
  };

  gcelement.$inject = ['$filter', 'ngTableParams'];
  return gcelement;
});
